Skip to main content
GET
Retrieve a list of locations

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

type
enum<string>
Available options:
warehouse,
van,
truck,
site,
other
active
enum<string>
Available options:
true,
false
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:50
Required range: 1 <= x <= 50

Response

A list of locations

id
string
required
name
string
required
type
enum<string>
required
Available options:
warehouse,
van,
truck,
site,
other
active
boolean
required
createdAt
string
required
icon
enum<string> | null

Semantic icon key for this location. Null uses the default icon for the location type.

Available options:
warehouse,
storefront,
office,
garage,
job_site,
van,
truck,
container,
shelves,
tools,
home,
map_pin,
null
note
string | null
latitude
number | null
longitude
number | null
geofenceRadiusM
number | null